<template>
  <div>
    <div class="card card-custom p-5 gutter-b">
      <div class="card-body p-0">
        <div class="row">
          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Code</label>

            <b-form-input
              id="input-large"
              size="lg"
              placeholder="Masukkan Inisial"
            ></b-form-input>
          </div>
          <div class="col-md-6 py-2 col-sm-12">
            <label for="input-large">Nama</label>

            <b-form-input
              id="input-large"
              size="lg"
              placeholder="Nama"
            ></b-form-input>
          </div>
        </div>

        <div class="d-flex mt-5 justify-content-end">
          <button class="btn btn-primary btn-md">
            <i class="flaticon2-search-1"></i> Cari
          </button>
        </div>
      </div>
    </div>

    <div class="card card-custom card-stretch-fourth p-5 gutter-b">
      <div class="card-header border-0 pt-5">
        <h3 class="card-title align-items-start flex-column">
          <span class="card-label font-weight-bolder text-dark"></span>
          <span class="text-muted mt-3 font-weight-bold font-size-sm"></span>
        </h3>
        <div class="card-toolbar">
          <div class="btn-group btn-group-toggle">
            <button
              class="btn btn-icon btn-sm btn-success"
              @click="showInputModal"
            >
              <i class="fa fa-plus"></i>
            </button>
          </div>
        </div>
      </div>
      <div class="card-body p-0">
        <table
          class="table table-head-custom table-vertical-center table-head-bg table-borderless"
        >
          <thead>
            <tr class="text-left">
              <th class="pl-7">Code</th>
              <th class="pl-7">Nama</th>
              <th class="pl-7">Aksi</th>
            </tr>
          </thead>
          <tbody>
            <tr class="border-0">
              <td class="pl-0 pt-8">
                <span
                  class="
                                        ml-5
                                        text-dark-75
                                        font-weight-bolder
                                        d-block
                                        font-size-lg
                                    "
                  >DS</span
                >
              </td>
              <td class="pl-0 pt-8">
                <span
                  class="
                                        ml-5
                                        text-dark-75
                                        font-weight-bolder
                                        d-block
                                        font-size-lg
                                    "
                  >Design Produk</span
                >
              </td>
              <td class="pl-0 pt-8 text-center">
                <span
                  class="
                                        ml-5
                                        text-dark-75
                                        font-weight-bolder
                                        d-block
                                        font-size-lg
                                    "
                >
                  <div class="btn-group btn-group-toggle">
                    <button
                      class="btn btn-icon btn-sm btn-success"
                      @click="showInputModal"
                    >
                      <i class="fa fa-pencil-alt"></i>
                    </button>
                    <button
                      class="btn btn-icon btn-sm btn-danger"
                      @click="showDeleteModal"
                    >
                      <i class="fa fa-trash"></i>
                    </button>
                  </div>
                </span>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>

    <b-modal ref="input" hide-footer title="Form Input Ruang Lingkup Pekerjaan">
      <div class="d-block text-center">
        <form>
          <div class="row">
            <div class="col-md-12 py-2 col-sm-12 text-left">
              <label for="input-large">Code *</label>

              <b-form-input
                id="input-large"
                size="lg"
                placeholder="Masukkan Code"
              ></b-form-input>
            </div>
            <div class="col-md-12 py-2 col-sm-12 text-left">
              <label for="input-large">Nama *</label>

              <b-form-input
                id="input-large"
                size="lg"
                placeholder="Masukkan Nama Nama"
              ></b-form-input>
            </div>
          </div>
        </form>
        <div class="d-flex mt-2">
          <b-button class="btn btn-success mr-2" block>Simpan</b-button>

          <b-button
            class="btn btn-secondary mt-0"
            block
            @click="closeInputModal"
            >Batal</b-button
          >
        </div>
      </div>
    </b-modal>

    <b-modal ref="delete" hide-footer title="Warning">
      <div class="d-block text-center">
        <div class="row">
          <div class="col-md-12 py-2 col-sm-12 text-left">
            <label for="input-large">Nama Akan Dihapus</label>
          </div>
        </div>
        <div class="d-flex mt-2">
          <b-button class="btn btn-success mr-2" block>Hapus</b-button>

          <b-button
            class="btn btn-secondary mt-0"
            block
            @click="closeDeleteModal"
            >Batal</b-button
          >
        </div>
      </div>
    </b-modal>
  </div>
</template>

<script>
import { SET_BREADCRUMB } from "@/core/services/store/breadcrumbs.module";

export default {
  methods: {
    showInputModal() {
      this.$refs["input"].show();
    },
    showDeleteModal() {
      this.$refs["delete"].show();
    },
    closeInputModal() {
      this.$refs["input"].hide();
    },
    closeDeleteModal() {
      this.$refs["delete"].hide();
    }
  },

  async mounted() {
    this.$store.dispatch(SET_BREADCRUMB, [
      { title: "Ruang Lingkup Pekerjaan" }
    ]);
  }
};
</script>
